zlacrt.f(3)

NAME
zlacrt.f -

SYNOPSIS

  Functions/Subroutines
subroutine zlacrt (N, CX, INCX, CY, INCY, C, S)
ZLACRT performs a linear transformation of a pair of complex vectors.

Function/Subroutine Documentation

  subroutine zlacrt (integerN, complex*16, dimension( * )CX, integerINCX, complex*16, dimension( * )CY, integerINCY, complex*16C, complex*16S)

ZLACRT performs a linear transformation of a pair of complex vectors.

Purpose:

     ZLACRT performs the operation
        (  c  s )( x )  ==> ( x )
        ( -s  c )( y )      ( y )
     where c and s are complex and the vectors x and y are complex.

Parameters:
    N

              N is INTEGER
              The number of elements in the vectors CX and CY.

    CX

              CX is COMPLEX*16 array, dimension (N)
              On input, the vector x.
              On output, CX is overwritten with c*x + s*y.

    INCX

              INCX is INTEGER
              The increment between successive values of CX.  INCX <> 0.

    CY

              CY is COMPLEX*16 array, dimension (N)
              On input, the vector y.
              On output, CY is overwritten with -s*x + c*y.

    INCY

              INCY is INTEGER
              The increment between successive values of CY.  INCY <> 0.

    C

              C is COMPLEX*16

    S

              S is COMPLEX*16
              C and S define the matrix
                 [  C   S  ].
                 [ -S   C  ]

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Definition at line 106 of file zlacrt.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.